#!/usr/bin/env python3
"""
Ping Check Script
Parameters:
    - IP: Target IP address
"""
import platform
import subprocess
import argparse

def ping_host(ip):
    param = '-n' if platform.system().lower() == 'windows' else '-c'
    command = ['ping', param, '1', ip]
    try:
        output = subprocess.check_output(command).decode().strip()
        if 'TTL=' in output or 'ttl=' in output:
            print(f"{ip} is responding to ping")
            return True
        else:
            print(f"{ip} is not responding to ping")
            return False
    except subprocess.CalledProcessError:
        print(f"Error: Could not ping {ip}")
        return False

if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Ping Check Tool")
    parser.add_argument("ip", help="Target IP address")
    args = parser.parse_args()
    
    ping_host(args.ip)
